## org.codehaus.groovy.grails.web.mapping
Interface UrlCreator

All Known Subinterfaces:
  UrlMapping

All Known Implementing Classes:
  AbstractUrlMapping, DefaultUrlCreator, RegexUrlMapping, ResponseCodeUrlMapping

    public interface UrlCreator

A UrlCreator is a class whoes implementor is resonposible for creating URL patterns as Strings. A UrlCreator is passed is a set of parameter values and is required to produce a valid relative URI

Since:
  0.5.5

  Created: May 30, 2007 Time: 8:34:29 AM
Author:
  Graeme Rocher

Method Summary
`String` `createRelativeURL(String controller, String action, Map parameterValues, String encoding)` Creates a URL for the given parameters values, controller and action names without the context path information
`String` `createURL(Map parameterValues, String encoding)` Creates a URL for the given parameter values
`String` `createURL(Map parameterValues, String encoding, String fragment)` Creates a URL for the given parameter values
`String` `createURL(String controller, String action, Map parameterValues, String encoding)` Creates a URL for the given parameters values, controller and action names
`String` `createURL(String controller, String action, Map parameterValues, String encoding, String fragment)` Creates a URL for the given parameters values, controller and action names

Method Detail

### createURL

    String createURL(Map parameterValues,
                     String encoding)

  Creates a URL for the given parameter values

  Parameters:
    `parameterValues` - The parameter values
    `encoding` - The encoding to use for parameters
  Returns:
    Returns the created URL for the given parameter values

### createURL

    String createURL(Map parameterValues,
                     String encoding,
                     String fragment)

  Creates a URL for the given parameter values

  Parameters:
    `parameterValues` - The parameter values
    `encoding` - The encoding to use for parameters
    `fragment` - The URL fragment to be appended to the URL following a #
  Returns:
    Returns the created URL for the given parameter values

### createURL

    String createURL(String controller,
                     String action,
                     Map parameterValues,
                     String encoding)

  Creates a URL for the given parameters values, controller and action names

  Parameters:
    `controller` - The controller name
    `action` - The action name
    `parameterValues` - The parameter values
    `encoding` - The encoding to use for parameters
  Returns:
    The created URL for the given arguments

### createRelativeURL

    String createRelativeURL(String controller,
                             String action,
                             Map parameterValues,
                             String encoding)

  Creates a URL for the given parameters values, controller and action names without the context path information

  Parameters:
    `controller` - The controller name
    `action` - The action name
    `parameterValues` - The parameter values
    `encoding` - The encoding to use for parameters
  Returns:
    The created URL for the given arguments

### createURL

    String createURL(String controller,
                     String action,
                     Map parameterValues,
                     String encoding,
                     String fragment)

  Creates a URL for the given parameters values, controller and action names

  Parameters:
    `controller` - The controller name
    `action` - The action name
    `parameterValues` - The parameter values
    `encoding` - The encoding to use for parameters
    `fragment` - The URL fragment to be appended to the URL following a #
  Returns:
    The created URL for the given arguments

Copyright (c) 2005-2009 The Grails project